CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::EngineBuilder_v8 Class Reference

`#include <cudnn_frontend_Engine.h>`

Collaboration diagram for cudnn_frontend::EngineBuilder_v8:

## Public Member Functions
auto | setOperationGraph (OperationGraph_v8 const &opGraph_) -> EngineBuilder_v8 &
| Set operationGraph for the engine. More...
auto | setOperationGraph (ManagedOpaqueDescriptor desc_) -> EngineBuilder_v8 &
| Set operationGraph for the engine. More...
auto | setGlobalEngineIdx (int64_t idx_) -> EngineBuilder_v8 &
| Set engine index for the engine. More...
Engine_v8 && | build ()
| EngineBuilder_v8 ()=default
| ~EngineBuilder_v8 ()=default
| EngineBuilder_v8 (EngineBuilder_v8 &&)=delete
| EngineBuilder_v8 (EngineBuilder_v8 const &)=delete
EngineBuilder_v8 & | operator= (EngineBuilder_v8 const &)=delete

## Private Attributes
Engine_v8 | m_engine

## Detailed Description

EngineBuilder_v8 Class Helper class used to build Engine_v8 class

Definition at line 244 of file cudnn_frontend_Engine.h.

## Constructor & Destructor Documentation

## ◆ EngineBuilder_v8() [1/3]

cudnn_frontend::EngineBuilder_v8::EngineBuilder_v8 | ( |  | ) |
| explicitdefault

## ◆ ~EngineBuilder_v8()

cudnn_frontend::EngineBuilder_v8::~EngineBuilder_v8 | ( |  | ) |
| default

## ◆ EngineBuilder_v8() [2/3]

cudnn_frontend::EngineBuilder_v8::EngineBuilder_v8 | ( | EngineBuilder_v8 && |  | ) |
| delete

## ◆ EngineBuilder_v8() [3/3]

cudnn_frontend::EngineBuilder_v8::EngineBuilder_v8 | ( | EngineBuilder_v8 const & |  | ) |
| delete

## Member Function Documentation

## ◆ build()

Engine_v8&& cudnn_frontend::EngineBuilder_v8::build | ( |  | ) |
| inline

constructs the Engine_v8 by calling the cudnn API Throws the appropriate error message

Definition at line 275 of file cudnn_frontend_Engine.h.

References cudnn_frontend::Engine_v8::EngineBuilder_v8, cudnn_frontend::getLogger(), cudnn_frontend::Engine_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ operator=()

EngineBuilder_v8& cudnn_frontend::EngineBuilder_v8::operator= | ( | EngineBuilder_v8 const & |  | ) |
| delete

## Member Data Documentation

## ◆ m_engine

Engine_v8 cudnn_frontend::EngineBuilder_v8::m_engine
| private

Definition at line 344 of file cudnn_frontend_Engine.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_Engine.h